<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&display=swap" rel="stylesheet">
    <title>How does CSS actually work?</title>
</head>

<body>
    <header class="page-header">
        <nav class="nav-header">
            <ul class="nav-list">
                <li class="nav-list-item"><a class="nav-list-link" href=" https://dan-it.com.ua/uk/"
                        target="_blank">About us</a></li>
                <li class="nav-list-item"><a class="nav-list-link" href="#">Projects</a></li>
                <li class="nav-list-item"><a class="nav-list-link" href="#">Blog</a></li>
                <li class="nav-list-item"><a class="nav-list-link" href="#">Templates</a></li>
                <li class="nav-list-item"><a class="nav-list-link" href="#">Libraries</a></li>
            </ul>
        </nav>
    </header>
    <main>
        <div class="img-conteiner"><img class="main-img" src="./images/img.jpg" alt="img CSS" width="1400" height="552">
        </div>

        <div class="conteiner">

            <h2>How does CSS actually work?</h2>
            <p class="main-text">When a browser displays a document, it must combine the document's content with
                its style information. It processes the document in a number of stages, which we've listed below. Bear
                in mind that <span class="main-text-desc">this is a very simplified version </span> of what happens when
                a browser loads a webpage, and that different browsers will handle the process in different ways. But
                this is roughly what happens.</p>
            <ol class="main-list">
                <li class="main-list-item">The browser loads the HTML (e.g. receives it from the network).</li>
                <li class="main-list-item">It converts the HTML into a DOM (Document Object Model). The DOM represents
                    the document in the computer's memory. The DOM is explained in a bit more detail in the next
                    section.
                </li>

                <li class="main-list-item">The browser then fetches most of the resources that are linked to by the
                    HTML document, such as embedded images, videos, and even linked CSS! JavaScript is handled a bit
                    later on in the process, and we won't talk about it here to keep things simpler.</li>

                <li class="main-list-item">The browser parses the fetched CSS, and sorts the different rules by
                    their selector types into different "buckets", e.g. element, class, ID, and so on. Based on the
                    selectors it finds, it works out which rules should be applied to which nodes in the DOM, and
                    attaches style to them as required (this intermediate step is called a render tree).</li>

                <li class="main-list-item">The render tree is laid out in the structure it should appear in after
                    the rules have been applied to it.</li>

                <li class="main-list-item">The visual display of the page is shown on the screen (this stage is called
                    painting).</li>
            </ol>
            <div class=btn>
                <button class="main-btn" type="button">Learn more</button>
            </div>
        </div>

    </main>
    <footer>
        <hr class="line-footer">
        <p class="footer-text">All right reserved</p>
    </footer>
</body>

</html>